<div class="fr-col-12">
    <span class="fr-tag">Nombre de listes de diffusion <span id="totalCommunications"
            class="badge badge-light ml-3">
            <div class="spinner-border" role="status">
                <span class="sr-only">Chargement...</span>
            </div>
        </span>
    </span>
</div>
<div class="gn-main-content fr-col-12">
    <div id="communications-toolbar">
        <ul class="fr-btns-group fr-btns-group--sm fr-btns-group--inline">
            <li>
                <button class="fr-btn create-communication" data-fr-opened="false" aria-controls="newDistributionList">
                    <span class="fr-icon-add-line fr-mr-1w" aria-hidden="true"></span>Cr&eacute;er une liste de diffusion
                </button>
            </li>
            <li>
                <a href="{{ domain }}/communications/{{ organization.domain }}" target="_blank" class="fr-btn">
                    <span class="fr-icon-eye-line fr-mr-1w" aria-hidden="true"></span>Visualiser la page publique
                </a>
            </li>
        </ul>
    </div>
    <table
        aria-describedby="Liste des communications"
        id="communications-table"
        class="table-sm table-striped"
        data-icon-size="sm"
        data-locale="fr-FR"
        data-toggle="table"
        data-toolbar="#communications-toolbar"
        data-pagination="true"
        data-search="true"
        data-show-export="true"
        data-export-data-type="all"
        data-export-types="['csv']"
        data-show-columns="true"
        data-page-size="25"
        data-page-list="[25, 50, 100, all]"
        data-loading-template="loadingTemplateCommunications"
        data-ajax="ajaxRequestCommunications">
        <thead>
            <tr>
                <th data-field="title" data-sortable="true" data-width="60" data-width-unit="%">Titre</th>
                <th data-field="emailsSubscribers" data-sortable="true" data-width="15" data-width-unit="%">Nb abonn&eacute;(es) Email</th>
                <th data-field="phonesSubscribers" data-sortable="true" data-width="15" data-width-unit="%">Nb abonn&eacute;(es) SMS</th>
                <th data-formatter="actionFormatterCommunicationList" data-searchable="false" data-events="window.operateEvents" data-align="center" data-width="10" data-width-unit="%">Actions</th>
            </tr>
        </thead>
    </table>
</div>

{% include './modals/distributionList/create-distribution.html' %}
{% include './modals/distributionList/edit-distribution.html' %}
{% include './modals/distributionList/delete-distribution.html' %}
{% include './modals/distributionList/view-distribution.html' %}
